[Hardy] qt-language-selector cannot install new language

Bug #203335 reported by Olivier on 2008-03-17
2
Affects Status Importance Assigned to Milestone
language-selector (Ubuntu)
High
Michael Vogt

Bug Description

Binary package hint: language-selector-qt

I am using kubuntu hardy, and an encoding issue leads to the impossibility to install any new language . This issue is pretty serious since it prevents the localization of the DE.

The "non-standard" characters (ie the ones with accents for instance) do dot appear normally.See enclosed screenshot .

Launching the utility from terminal gives

sudo qt-language-selector --mode install
/usr/lib/python2.5/site-packages/LanguageSelector/qt/QtLanguageSelector.py:106: UnicodeWarning: Unicode equal comparison failed to convert both arguments to Unicode - interpreting them as being unequal
  if defaultLangName == localeName:

Feel free to ask for any information.

Olivier (olivier-lacroix) wrote :
Michael Vogt (mvo) wrote :

Thanks for your bugreport.

This is fixed in my local tree and will be part of the next upload.

Changed in language-selector:
assignee: nobody → mvo
importance: Undecided → High
milestone: none → ubuntu-8.04
status: New → Fix Committed
Olivier (olivier-lacroix) wrote :

Great !

Thanks for your reactivity.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package language-selector - 0.3.2

---------------
language-selector (0.3.2) hardy; urgency=low

  [ Michael Vogt ]
  * LanguageSelector/qt/QtLanguageSelector.py:
    - fix another charackter encoding problem (LP: #203335)
    - fix warning dialog if we have broken packages

  [ Arne Goetje ]
  * fixes in the Japanese font configuration (LP: #202731)

 -- Michael Vogt <email address hidden> Tue, 18 Mar 2008 11:07:17 +0100

Changed in language-selector:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers